Blog!

Read more about Joomla!

Joomla! 3.6.5 - Important Security Release

Joomla! security team has announced an important security release Joomla! 3.6.5. A high level vulnerability effecting Joomla versions from Joomla 1.6 to Joomla 3.6.4 was identified and is patched in Joomla 3.6.5.  

Please make arrangements to update your Joomla! website to latest secure versions to avoid the hassle of getting hacked. Since this is a very important security fix, please get in touch with us for Joomla Support and Maintenance Services and we'll be glad to assist with upgrading your website to latest secure version.

Joomla Department Team. 

stellar-joomla-support

Joomla Upgrade Services and Automated Backups

Joomla Website Performance Optimization

Cron Job Starts